/*
 * Copyright (c) 2018-2022 Analog Devices, Inc. All Rights Reserved.
 * This software is proprietary to Analog Devices, Inc. and its licensors.
 */

#ifndef DMCREINIT_H_
#define DMCREINIT_H_

#include "adi_dmc.h"

__attribute__((section(".l2_cached_code"))) ADI_DMC_RESULT DMCReInit(void);

#define CFG0_REG_DDR_DLLCTLCFG	0x0cf00622ul
#define CFG0_REG_DMC_MR2MR3		0x00100004ul
#define CFG0_REG_DMC_CTL_VALUE	0x00000a05ul
#define CFG0_REG_DMC_MRMR1		0x0b5000c0ul
#define CFG0_REG_DMC_TR0_VALUE	0x42118959ul
#define CFG0_REG_DMC_TR1_VALUE	0x50ae1450ul
#define CFG0_REG_DMC_TR2_VALUE	0x0044051eul
#define CFG0_REG_DMC_ZQCTL_0	0x00786464ul
#define CFG0_REG_DMC_ZQCTL_1	0x00000000ul
#define CFG0_REG_DMC_ZQCTL_2	0x70000000ul

#endif /* DMCREINIT_H_ */
